python-opster_4.1-2_all.deb


Advertisement

Description

python-opster - python command line parsing speedster

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-opster
Package version: 4.1
Package release: 2
Package architecture: all
Package type: deb
Installed size: 54 B
Download size: 13.44 KB
Official Mirror: archive.ubuntu.com
Opster is a command line parser, intended to make writing command line applications easy and painless. It uses built-in Python types (lists, dictionaries, etc) to define options, which makes configuration clear and concise. Additionally it contains possibility to handle subcommands (i.e. hg commit or svn update).

Alternatives

    Download

    Source package: python-opster

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-opster deb package:
      # sudo apt-get install python-opster

    Files

    • /usr/lib/python2.7/dist-packages/opster-4.1.egg-info
    • /usr/lib/python2.7/dist-packages/opster.py
    • /usr/share/doc/python-opster/README.rst
    • /usr/share/doc/python-opster/changelog.Debian.gz
    • /usr/share/doc/python-opster/copyright

    Changelog

    2015-08-25 - Andrey Rahmatullin <wrar@debian.org> python-opster (4.1-2) unstable; urgency=medium * Team upload. * Port from python-support to dh-python (Closes: #786303)

    2013-08-20 - Jon Bernard <jbernard@debian.org> python-opster (4.1-1) unstable; urgency=low * [31cde01] Update homepage url * [8a02bee] New upstream version 4.1

    2013-06-30 - Jon Bernard <jbernard@debian.org> python-opster (4.0-1) unstable; urgency=low * [1b1a18f] New upstream version 4.0 * [9a9fd4e] Bump Standards-Version to 3.9.4 * [bd0d9b7] Remove invalid SVN URIs

    2012-09-27 - Jon Bernard <jbernard@debian.org> python-opster (3.8-1) unstable; urgency=low * [a9ea8e3] New upstream version 3.8

    2012-05-06 - Jon Bernard <jbernard@debian.org> python-opster (3.7-1) unstable; urgency=low * New upstream version 3.7

    2012-01-31 - Jon Bernard <jbernard@debian.org> python-opster (3.4-1) unstable; urgency=low * New upstream version 3.4

    2011-09-18 - Jon Bernard <jbernard@debian.org> python-opster (3.3.1-1) unstable; urgency=low * New upstream version 3.3.1

    2011-09-04 - Jon Bernard <jbernard@debian.org> python-opster (3.3-1) unstable; urgency=low * New upstream version 3.3

    2011-08-31 - Jon Bernard <jbernard@debian.org> python-opster (3.2.2-1) unstable; urgency=low * New upstream version 3.2.2 * Remove patch to tolerate missing README, fixed upstream * Include README.rst in package documentation

    2011-08-28 - Jon Bernard <jbernard@debian.org> python-opster (3.2.1-1) unstable; urgency=low * New upstream version 3.2.1

    Advertisement
    Advertisement